Edje Communication Interface: Signal

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Typedefs | Functions
Edje Communication Interface: Signal
Edje » Edje Object

Functions that deal with signals. More...

## Typedefs
typedef void(* | Efl_Signal_Cb) (void *data, Evas_Object *obj, const char *emission, const char *source)
| Edje signal callback functions's prototype definition.
typedef Efl_Signal_Cb | Edje_Signal_Cb

## Functions
void * | edje_object_signal_callback_extra_data_get (void)
| Gets extra data passed to callbacks.
void * | edje_object_signal_callback_seat_data_get (void)
| Gets seat data passed to callbacks.

## Detailed Description

Functions that deal with signals.

Edje has two communication interfaces between code and theme. Signals and messages.

This group has functions that deal with signals. One can either emit a signal from code to a theme or create handles for the ones emitted from themes. Signals are identified by strings.

## Typedef Documentation

## ◆ Efl_Signal_Cb

typedef void(* Efl_Signal_Cb) (void *data, Evas_Object *obj, const char *emission, const char *source)

Edje signal callback functions's prototype definition.

`data` will have the auxiliary data pointer set at the time the callback registration. `obj` will be a pointer the Edje object where the signal comes from. `emission` will identify the exact signal's emission string and `source` the exact signal's source one.

## Function Documentation

## ◆ edje_object_signal_callback_extra_data_get()

void * edje_object_signal_callback_extra_data_get | ( | void |  | ) |

Gets extra data passed to callbacks.

Returns
  The extra data for that callback.

Some callbacks pass extra information. This function gives access to that extra information. It's somehow like event_info in smart callbacks.

See also
  edje_object_signal_callback_add() for more on Edje signals.

Since
  1.1.0

## ◆ edje_object_signal_callback_seat_data_get()

void * edje_object_signal_callback_seat_data_get | ( | void |  | ) |

Gets seat data passed to callbacks.

Returns
  The seat data for that callback.

When a callback is initiated by an input event from a seat, we try to provide seat information with it.

Signals fired as programmed responses to these signals will also try to carry the seat data along.

This returns an opaque pointer to the seat data.

See also
  edje_object_signal_callback_add() for more on Edje signals.

Since
  1.21